<template>
  <div class="settings-container">
    <div class="title">Методика проведения аукциона</div>
    <div class="setting-row">
      <ObInput
        :value="settings.auctionCutoffPercent"
        label="Отсечка снизу от значения лимита заказа"
        sub-title="%"
        placeholder="—"
        type="number:strict"
        class="setting-row__input w300"
        @blur="onSaveField('auctionCutoffPercent', $event)"
      />
      <span class="setting-row__description">
        Определяет величину аукционного предложения при согласии на которое аукцион сразу завершается с объявлением победителем согласившегося перевозчика
      </span>
    </div>
    <div class="radio-block">
      <ObRadio
          :value-input="settings.auctionStepType"
          model-value="DYNAMIC"
          label="Шаг аукциона в %"
          @change="onSaveField('auctionStepType', 'DYNAMIC')"
      />
      <ObInput
          :value="settings.auctionPercentStep"
          label="Шаг"
          sub-title="%"
          placeholder="—"
          type="number:strict"
          class="radio-block__input"
          :disabled="settings.auctionStepType === 'STATIC'"
          @blur="onSaveField('auctionPercentStep', $event)"
      />
      <ObRadio
          :value-input="settings.auctionStepType"
          model-value="STATIC"
          label="Шаг аукциона в рублях"
          @change="onSaveField('auctionStepType', 'STATIC')"
      />
      <ObInput
          :value="settings.auctionStep"
          label="Шаг"
          type="money:2"
          sub-title="₽"
          placeholder="—"
          class="radio-block__input"
          :disabled="settings.auctionStepType === 'DYNAMIC'"
          @blur="onSaveField('auctionStep', $event)"
      />
    </div>
    <div class="title">Максимальный период активности аукциона</div>
    <div class="setting-row">
      <ObInput
          :value="settings.auctionActivityMax / MINUTES_IN_HOURS"
          label="Период не более чем"
          sub-title="ч"
          placeholder="—"
          class="setting-row__input w200"
          @blur="onSaveField('auctionActivityMax', $event)"
      />
      <span class="setting-row__description">
        С момента первой ставки аукцион не должен длиться дольше, чем максимальный период активности аукциона
      </span>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import ObInput from "common-components/src/obComponents/obInput";
import ObRadio from 'common-components/src/obComponents/obRadio'

export default {
  name: 'ClicarSettingsAutosearchAuctionSettings',
  components: {
    ObInput,
    ObRadio
  },
  props: {
    settings: {
      type: Object,
      required: true
    }
  },
  data () {
    return {
      tab: 'ALL'
    }
  },
  methods: {
    ...mapActions({
      getAutosearchSettings: 'clicarSettings_3/getAutosearchSettings'
    }),
    onSaveField (path, event) {
      let value = event.target ? event.target.value : event

      this.$emit('on-save-field', { path, value })
    }
  },
  computed: {
    MINUTES_IN_HOURS () {
      return 60
    },
  }
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.settings-container {
  max-width: 700px;
}

.title {
  margin-top: 30px;
  margin-bottom: 10px;
  @include font-mixin(16px,20px, 700, $color-text-base, 0.4px);
}

.w300 {
  width: 300px!important;
}
.w200 {
  width: 200px!important;
}

.setting-row {
  display: flex;
  align-items: center;
  &__input {
    width: 220px;
  }
  &__description {
    max-width: 440px;
    margin-left: 10px;
    @include font-mixin(14px, 18px, 400, $color-grey-label);
  }
}

.radio-block {
  margin-top: 12px;
  &__input {
    margin-left: 23px;
    margin-top: 12px;
    margin-bottom: 12px;
    width: 125px;
    &:last-child {
      margin-bottom: 0;
    }
  }
  &::v-deep {
    .ob-radio-container + .ob-radio-container {
      margin-top: 4px;
    }
  }
}
</style>